[求助] 弹出use askusermessage() or asksyslogmessage()错误

2018-7-9 19:42:10 1401 2

  [复制链接]
zengbiao 发表于 2018-7-7 20:27:16 | 显示全部楼层 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?发邮件注册

x
做UI界面时弹出这个错误
2 \: e+ `1 t. x' m' j5 U% J  Bint NX10_daoyuanjiao::apply_cb()
. T& I: }4 g! N{4 u- O7 l! N9 Q2 b2 C! L, f
    int errorCode = 0;
2 h% r% i4 m; B# ]. ^7 f, ^    try
- ]8 @% t, v6 _- |/ Z3 m+ G    {
  T  K% S$ [' v; X% t% G        //---- Enter your callback code here -----2 @) G, H' u% l# N' P
                  UF_initialize(); " w$ p4 g. L, t" K0 @$ {
          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();% P: b% [! ~# r  o, @6 y
          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");
2 Y0 e1 D# |! V% H* a                  delete DirectionToExtrudeproplist;
7 u2 ]8 H( N# t5 C- e                  DirectionToExtrudeproplist= NULL;9 M; G& k. r3 g3 h4 a
                  
8 N' d4 n4 g- N, Y& L1 O              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数
7 v% N- I. H" d9 |              {   8 i- |8 y# G2 F
                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色! k4 S7 H/ ^& a
              }/ g1 e; Z# A  F+ K) J5 I. C0 {

! c& e0 |3 ]6 o8 c; i% w      UF_terminate();
/ z4 [1 h* {3 ^0 y0 c: J    }
, H8 Z% @/ u6 @0 a    caTCh(exception& ex)  a; U; ]5 f+ ]. L2 b: u
    {( b; T7 P$ J; Z4 j
        //---- Enter your exception handling code here ------ F2 V6 R$ p- ~
        errorCode = 1;- z% F% q. p9 C/ G% `% ^2 f
        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());, v9 v" n/ a, e" n8 m5 h& A  c+ \4 _8 c
    }
/ ^5 L( L7 j3 r/ g2 J    return errorCode;
3 Q( i+ j4 @. h( n}
: Q4 |' W4 `" r. p2 x
3 d+ a3 c6 @" @3 a$ f最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗
3 R; _1 Y: n  ~6 Y' Q1 f6 b5 v/ j
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

admin 发表于 2018-7-9 16:44:26 | 显示全部楼层

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

 楼主| zengbiao 发表于 2018-7-9 19:42:10 | 显示全部楼层

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:44& z9 c8 Q7 {# \: f- }
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本

% R) R" R' E9 Y! H1 y" [% @谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 发邮件注册

返回列表 本版积分规则

用户组 : 新手上路
邮   箱 :1963869478@qq.com
手   机 :未填写
Q   Q : 未填写
性别 : 就不告诉你
主页 :未填写
个人介绍 :未填写

主题1

帖子4

积分25

  • NX1847 和 NX12 相关

    https://www.plm.automation.siemens.com/glob

  • NX版本发布Roadmap 路

    NX版本发布Roadmap 路线图,没有NX13, NX1847将

  • Asp.net站点实现Aras

    1、创建Web站点: 2、添加dll引用: 三

  • NX12.0.2 升级或安装

    NX12.0.2 升级或安装图文教程 (1)下载安装包

  • Aras一个Web站点下创

    创建多个Instance,其实就是创建多个Database,用